Package com.independentsoft.office.word.fonts

# Class Font

java.lang.Object
com.independentsoft.office.word.fonts.Font

public class Font extends Object
The Class Font.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Font()`
  Instantiates a new font.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Font`
  `clone()`
  `String`
  `getAlternateName()`
  Gets the alternate name.
  `String`
  `getCharacterSet()`
  Gets the character set.
  `EmbeddedFontBold`
  `getEmbeddedFontBold()`
  Gets the embedded font bold.
  `EmbeddedFontBoldItalic`
  `getEmbeddedFontBoldItalic()`
  Gets the embedded font bold italic.
  `EmbeddedFontItalic`
  `getEmbeddedFontItalic()`
  Gets the embedded font italic.
  `EmbeddedFontRegular`
  `getEmbeddedFontRegular()`
  Gets the embedded font regular.
  `FontFamily`
  `getFamily()`
  Gets the family.
  `Glyph`
  `getGlyph()`
  Gets the glyph.
  `String`
  `getName()`
  Gets the name.
  `ExtendedBoolean`
  `getNotTrueType()`
  Gets the not true type.
  `String`
  `getPanose()`
  Gets the panose.
  `Pitch`
  `getPitch()`
  Gets the pitch.
  `void`
  `setAlternateName​(String alternateName)`
  Sets the alternate name.
  `void`
  `setCharacterSet​(String characterSet)`
  Sets the character set.
  `void`
  `setEmbeddedFontBold​(EmbeddedFontBold embeddedFontBold)`
  Sets the embedded font bold.
  `void`
  `setEmbeddedFontBoldItalic​(EmbeddedFontBoldItalic embeddedFontBoldItalic)`
  Sets the embedded font bold italic.
  `void`
  `setEmbeddedFontItalic​(EmbeddedFontItalic embeddedFontItalic)`
  Sets the embedded font italic.
  `void`
  `setEmbeddedFontRegular​(EmbeddedFontRegular embeddedFontRegular)`
  Sets the embedded font regular.
  `void`
  `setFamily​(FontFamily family)`
  Sets the family.
  `void`
  `setGlyph​(Glyph glyph)`
  Sets the glyph.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNotTrueType​(ExtendedBoolean notTrueType)`
  Sets the not true type.
  `void`
  `setPanose​(String panose)`
  Sets the panose.
  `void`
  `setPitch​(Pitch pitch)`
  Sets the pitch.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Font

    public Font()
    Instantiates a new font.

- ## Method Details

  - ### clone

    public Font clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getAlternateName

    public String getAlternateName()
    Gets the alternate name.
    Returns:
      the alternate name

  - ### setAlternateName

    public void setAlternateName​(String alternateName)
    Sets the alternate name.
    Parameters:
      `alternateName` - the new alternate name

  - ### getCharacterSet

    public String getCharacterSet()
    Gets the character set.
    Returns:
      the character set

  - ### setCharacterSet

    public void setCharacterSet​(String characterSet)
    Sets the character set.
    Parameters:
      `characterSet` - the new character set

  - ### getPanose

    public String getPanose()
    Gets the panose.
    Returns:
      the panose

  - ### setPanose

    public void setPanose​(String panose)
    Sets the panose.
    Parameters:
      `panose` - the new panose

  - ### getFamily

    public FontFamily getFamily()
    Gets the family.
    Returns:
      the family

  - ### setFamily

    public void setFamily​(FontFamily family)
    Sets the family.
    Parameters:
      `family` - the new family

  - ### getNotTrueType

    public ExtendedBoolean getNotTrueType()
    Gets the not true type.
    Returns:
      the not true type

  - ### setNotTrueType

    public void setNotTrueType​(ExtendedBoolean notTrueType)
    Sets the not true type.
    Parameters:
      `notTrueType` - the new not true type

  - ### getPitch

    public Pitch getPitch()
    Gets the pitch.
    Returns:
      the pitch

  - ### setPitch

    public void setPitch​(Pitch pitch)
    Sets the pitch.
    Parameters:
      `pitch` - the new pitch

  - ### getGlyph

    public Glyph getGlyph()
    Gets the glyph.
    Returns:
      the glyph

  - ### setGlyph

    public void setGlyph​(Glyph glyph)
    Sets the glyph.
    Parameters:
      `glyph` - the new glyph

  - ### getEmbeddedFontBold

    public EmbeddedFontBold getEmbeddedFontBold()
    Gets the embedded font bold.
    Returns:
      the embedded font bold

  - ### setEmbeddedFontBold

    public void setEmbeddedFontBold​(EmbeddedFontBold embeddedFontBold)
    Sets the embedded font bold.
    Parameters:
      `embeddedFontBold` - the new embedded font bold

  - ### getEmbeddedFontBoldItalic

    public EmbeddedFontBoldItalic getEmbeddedFontBoldItalic()
    Gets the embedded font bold italic.
    Returns:
      the embedded font bold italic

  - ### setEmbeddedFontBoldItalic

    public void setEmbeddedFontBoldItalic​(EmbeddedFontBoldItalic embeddedFontBoldItalic)
    Sets the embedded font bold italic.
    Parameters:
      `embeddedFontBoldItalic` - the new embedded font bold italic

  - ### getEmbeddedFontItalic

    public EmbeddedFontItalic getEmbeddedFontItalic()
    Gets the embedded font italic.
    Returns:
      the embedded font italic

  - ### setEmbeddedFontItalic

    public void setEmbeddedFontItalic​(EmbeddedFontItalic embeddedFontItalic)
    Sets the embedded font italic.
    Parameters:
      `embeddedFontItalic` - the new embedded font italic

  - ### getEmbeddedFontRegular

    public EmbeddedFontRegular getEmbeddedFontRegular()
    Gets the embedded font regular.
    Returns:
      the embedded font regular

  - ### setEmbeddedFontRegular

    public void setEmbeddedFontRegular​(EmbeddedFontRegular embeddedFontRegular)
    Sets the embedded font regular.
    Parameters:
      `embeddedFontRegular` - the new embedded font regular